Instalando TQSL (atualizado) no RaspBerry PI

Para instalar o TQSL da ARRL no rasp, precisamos baixar e compilar o aplicativo. Há uma versão disponível no repositório APT (pacote trustedqsl), mas ela nem sempre é atualizada, deixando de funcionar por períodos.

Primeiro, precisamos instalar as bibliotecas de desenvolvimento e compilação utilizadas pelo TQSL.

$apt-get install build-essential libcurl4-openssl-dev libdb-dev libexpat1-dev liblmdb-dev libssl-dev libwxgtk3.0-dev zlib1g-dev

Agora, baixe o pacote mais atualizado no site da ARRL:

http://www.arrl.org/tqsl-download

Descompacte e um diretório e vamos compilar e instalar.

$cmake .
$make
$make install

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *

*